<?php

namespace domain\Product\ProductCategory;

use domain\_\AbstractRepositoryQuery;

class ProductCategoryRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductCategoryDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductCategoryDefinition::class);
    }
}